summaryrefslogtreecommitdiffstats
path: root/tests/mount-is-missing
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mount-is-missing')
-rw-r--r--tests/mount-is-missing13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/mount-is-missing b/tests/mount-is-missing
new file mode 100644
index 0000000..2e0c4b0
--- /dev/null
+++ b/tests/mount-is-missing
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -eu
+export LC_ALL=C.UTF-8
+if [ ! -e /mmdebstrap-testenv ]; then
+ echo "this test modifies the system and should only be run inside a container" >&2
+ exit 1
+fi
+for p in /bin /usr/bin /sbin /usr/sbin; do
+ rm -f "$p/mount"
+done
+{{ CMD }} --mode=root --variant=apt {{ DIST }} /tmp/debian-chroot.tar {{ MIRROR }}
+tar -tf /tmp/debian-chroot.tar | sort | diff -u tar1.txt -
+rm /tmp/debian-chroot.tar